Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v3
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v3.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.ehbox.core.v3 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.ehbox.core.v3

Method Summary
`AcknowledgmentType` | `createAcknowledgmentType()` Create an instance of `AcknowledgmentType`
`BoxIdType` | `createBoxIdType()` Create an instance of `BoxIdType`
`ContentInfoType` | `createContentInfoType()` Create an instance of `ContentInfoType`
`ContentSpecificationType` | `createContentSpecificationType()` Create an instance of `ContentSpecificationType`
`CustomMetaType` | `createCustomMetaType()` Create an instance of `CustomMetaType`
`EhboxIdentifierType` | `createEhboxIdentifierType()` Create an instance of `EhboxIdentifierType`
`EncryptableOldFreeInformation` | `createEncryptableOldFreeInformation()` Create an instance of `EncryptableOldFreeInformation`
`ErrorType` | `createErrorType()` Create an instance of `ErrorType`
`FreeInformationsType` | `createFreeInformationsType()` Create an instance of `FreeInformationsType`
`MandateType` | `createMandateType()` Create an instance of `MandateType`
`MessageInfoType` | `createMessageInfoType()` Create an instance of `MessageInfoType`
`MetaType` | `createMetaType()` Create an instance of `MetaType`
`Row` | `createRow()` Create an instance of `Row`
`SenderType` | `createSenderType()` Create an instance of `SenderType`
`Table` | `createTable()` Create an instance of `Table`
`User` | `createUser()` Create an instance of `User`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.ehbox.core.v3

Method Detail

### createBoxIdType

    public BoxIdType createBoxIdType()

  Create an instance of `BoxIdType`

### createSenderType

    public SenderType createSenderType()

  Create an instance of `SenderType`

### createMessageInfoType

    public MessageInfoType createMessageInfoType()

  Create an instance of `MessageInfoType`

### createFreeInformationsType

    public FreeInformationsType createFreeInformationsType()

  Create an instance of `FreeInformationsType`

### createErrorType

    public ErrorType createErrorType()

  Create an instance of `ErrorType`

### createAcknowledgmentType

    public AcknowledgmentType createAcknowledgmentType()

  Create an instance of `AcknowledgmentType`

### createEhboxIdentifierType

    public EhboxIdentifierType createEhboxIdentifierType()

  Create an instance of `EhboxIdentifierType`

### createMetaType

    public MetaType createMetaType()

  Create an instance of `MetaType`

### createCustomMetaType

    public CustomMetaType createCustomMetaType()

  Create an instance of `CustomMetaType`

### createContentInfoType

    public ContentInfoType createContentInfoType()

  Create an instance of `ContentInfoType`

### createContentSpecificationType

    public ContentSpecificationType createContentSpecificationType()

  Create an instance of `ContentSpecificationType`

### createMandateType

    public MandateType createMandateType()

  Create an instance of `MandateType`

### createUser

    public User createUser()

  Create an instance of `User`

### createEncryptableOldFreeInformation

    public EncryptableOldFreeInformation createEncryptableOldFreeInformation()

  Create an instance of `EncryptableOldFreeInformation`

### createTable

    public Table createTable()

  Create an instance of `Table`

### createRow

    public Row createRow()

  Create an instance of `Row`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.